Bug 1140189 - pyyaml: tests fail on BE
Summary: pyyaml: tests fail on BE
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyYAML
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Eckersberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-09-10 12:58 UTC by Jakub Čajka
Modified: 2014-09-29 04:05 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-27 10:03:38 UTC


Attachments (Terms of Use)
proposed fix (2.80 KB, text/plain)
2014-09-10 12:58 UTC, Jakub Čajka
no flags Details
Fix based on debian patch (5.40 KB, patch)
2014-09-15 11:34 UTC, Jakub Čajka
no flags Details | Diff

Description Jakub Čajka 2014-09-10 12:58:20 UTC
Created attachment 936135 [details]
proposed fix

Tests testing libyaml integration fails on BE as there is an error in _yaml.c, causing builds failures. Replacing int with size_t in function _pyx_f_5_yaml_input_handler fixes test failures on BE. In attachment is patch fixing this issue.

Failing builds:
http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=208818
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=259875

Successful scratch builds with patch:
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1537949
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2097267
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2097277

Comment 1 Jakub Čajka 2014-09-12 07:05:01 UTC
Reported upstream: https://bitbucket.org/xi/pyyaml/issue/35/test-fails-on-be-s390-x-ppc64

Comment 2 Jakub Čajka 2014-09-15 11:34:38 UTC
Created attachment 937561 [details]
Fix based on debian patch

Comment 3 Fedora Update System 2014-09-15 12:43:41 UTC
PyYAML-3.10-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/PyYAML-3.10-10.fc19

Comment 4 Fedora Update System 2014-09-15 12:43:49 UTC
PyYAML-3.10-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/PyYAML-3.10-10.fc20

Comment 5 Fedora Update System 2014-09-15 12:43:54 UTC
PyYAML-3.11-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/PyYAML-3.11-6.fc21

Comment 6 Fedora Update System 2014-09-16 18:43:57 UTC
Package PyYAML-3.11-6.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing PyYAML-3.11-6.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10873/PyYAML-3.11-6.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-09-27 10:03:38 UTC
PyYAML-3.11-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-29 03:54:31 UTC
PyYAML-3.10-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-09-29 04:05:39 UTC
PyYAML-3.10-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.